E-File Magic

Recipients

Read recipient history

Review a recipient's saved versions and form changes.

GET
/api/v1/recipients/history/list
Authentication
OAuth 2.0 access token
Required scopes
recipients.readforms.read
Idempotency key
Not required
Rate-limit cost
2 units

How to use this endpoint

Provide the filer and recipient selectors. Both recipients.read and forms.read are required. History data is redacted.

cURL request
curl --request GET 'https://api.efilemagic.com/api/v1/recipients/history/list' \
  --header 'Authorization: Bearer <access-token>' \
  --get \
  --data-urlencode 'filer_id=<filer_id>' \
  --data-urlencode 'recipient_id=<recipient_id>' \
  --data-urlencode 'limit=25'

Replace placeholders with your own values. Use the API resource origin provided for your environment.